Update run gold label
curl --request PUT \
--url https://api.example.com/v1/run/{run_id}/gold-label/{gold_label_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"text_value": "<string>",
"object_value": {},
"object_value_is_partial": true
}
'import requests
url = "https://api.example.com/v1/run/{run_id}/gold-label/{gold_label_id}"
payload = {
"text_value": "<string>",
"object_value": {},
"object_value_is_partial": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({text_value: '<string>', object_value: {}, object_value_is_partial: true})
};
fetch('https://api.example.com/v1/run/{run_id}/gold-label/{gold_label_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"account_id": "<string>",
"run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"output_resource_name": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"text_value": "<string>",
"object_value": {},
"object_value_is_partial": true,
"created_by": "<string>",
"updated_by": "<string>",
"updated_at": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}{
"error": "<string>"
}Run Gold Labels
Update Run Gold Label
Update a specific gold label for a run
PUT
/
v1
/
run
/
{run_id}
/
gold-label
/
{gold_label_id}
Update run gold label
Update an existing gold label for a run. You can modify the text value or object value, but you cannot change the output resource name.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the run
The ID of the gold label
Response
Gold label updated successfully
Unique identifier for the gold label
ID of the account that owns this gold label
ID of the run this gold label belongs to
Name of the output resource this gold label is for
When the gold label was created
Text value for the gold label
Object value for the gold label
Whether the object value is a partial gold label
ID of the user who created the gold label
ID of the user who last updated the gold label
When the gold label was last updated

